
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>emulsion &#8212; EMULSION (Epidemiological Multi-Level Simulation framework)</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="shortcut icon" href="_static/STEMAH-favicon.png"/>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="emulsion">
<h1>emulsion<a class="headerlink" href="#emulsion" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="emulsion.html">11. emulsion package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="emulsion.html#subpackages">11.1. Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="emulsion.agent.html">emulsion.agent package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#subpackages">Subpackages</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.action">emulsion.agent.action module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.atoms">emulsion.agent.atoms module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.comparts">emulsion.agent.comparts module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.exceptions">emulsion.agent.exceptions module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.meta">emulsion.agent.meta module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.process">emulsion.agent.process module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.agent.html#module-emulsion.agent.views">emulsion.agent.views module</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="emulsion.model.html">emulsion.model package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="emulsion.model.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.model.html#module-emulsion.model.emulsion_model">emulsion.model.emulsion_model module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.model.html#module-emulsion.model.exceptions">emulsion.model.exceptions module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.model.html#module-emulsion.model.functions">emulsion.model.functions module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.model.html#module-emulsion.model.state_machines">emulsion.model.state_machines module</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="emulsion.tools.html">emulsion.tools package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.calendar">emulsion.tools.calendar module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.functions">emulsion.tools.functions module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.getters">emulsion.tools.getters module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.graph">emulsion.tools.graph module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.misc">emulsion.tools.misc module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.parallel">emulsion.tools.parallel module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.plot">emulsion.tools.plot module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.simulation">emulsion.tools.simulation module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.state">emulsion.tools.state module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.timing">emulsion.tools.timing module</a></li>
<li class="toctree-l4"><a class="reference internal" href="emulsion.tools.html#module-emulsion.tools.view">emulsion.tools.view module</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="emulsion.html#submodules">11.2. Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="emulsion.html#module-emulsion.init_emulsion">11.3. emulsion.init_emulsion module</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">EMULSION</a></h1>



<p class="blurb">Epidemiological Multi-Level Simulation Framework</p>






<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="pages/Information.html">1. Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Install.html">2. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Getting_started.html">3. Getting started with EMULSION</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Modelling_principles.html">4. Modelling principles</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Modelling_language_basics.html">5. Modelling language (basics)</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Modelling_language_advanced.html">6. Modelling language (advanced)</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Feature_examples.html">7. Feature examples</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Release_notes.html">8. Release notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/License.html">9. License</a></li>
<li class="toctree-l1"><a class="reference internal" href="emulsion_for_modellers.html">10. High-level functions for model designers</a></li>
<li class="toctree-l1"><a class="reference internal" href="emulsion.html">11. emulsion package</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2016, INRAE and Univ. Lille.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.5</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="_sources/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>